Bug 1122308 - READONLY=yes still mounts / RW
Summary: READONLY=yes still mounts / RW
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Storage_Administration_Guide
Version: 7.0
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: rc
: 7.3
Assignee: Maxim Svistunov
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks: 1274917 1364088
TreeView+ depends on / blocked
 
Reported: 2014-07-22 22:01 UTC by Ben Woodard
Modified: 2019-03-06 00:44 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-14 10:51:31 UTC


Attachments (Terms of Use)

Description Ben Woodard 2014-07-22 22:01:08 UTC
Description of problem:
The purpose of READONLY=yes in /etc/sysconfig/readonly-root is to do two things:
1) make a bunch of bind mounts that provide a writable area for things that actually need to write
2) tell initscripts not to remount the root RW

In the current RHEL7 it does the first but it still remounts the root FS RW.


Version-Release number of selected component (if applicable):
initscripts-9.49.15-1.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1.  echo "READONLY=yes" > /etc/sysconfig/readonly-root
2. reboot
3.

Actual results:
/ is mounted rw

Expected results:
/ ia mounrws ro

Additional info:

Comment 5 Lukáš Nykrýn 2015-06-08 09:00:08 UTC
This is basically can't fix in initscripts, we don't control boot process anymore. So lets at least lets check if it is documented.

Comment 6 Travis Gummels 2016-06-10 16:22:56 UTC
Jim,

I presume you guys found a way around this.  Can you share what you did?

Travis

Comment 10 Ben Woodard 2016-06-28 09:55:49 UTC
This is more of a question for Trent rather than Jim

Comment 18 Milan Navratil 2016-11-14 10:51:31 UTC
An updated version of the Red hat Enterprise Linux 7 Storage Administration Guide is now available on the Customer Portal:

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html-single/Storage_Administration_Guide/index.html


Note You need to log in before you can comment on or make changes to this bug.